Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.platform.rcx
Interface Opcode

All Known Implementing Classes:
  Message, RemoteControlSensor

    public interface Opcode

Opcode constants.

Field Summary
`static byte` | `OPCODE_ABSOLUTE_VALUE`
`static byte` | `OPCODE_ABSOLUTE_VALUE_REPLY`
`static byte` | `OPCODE_ADD_TO_VARIABLE`
`static byte` | `OPCODE_ADD_TO_VARIABLE_REPLY`
`static byte` | `OPCODE_ALIVE`
`static byte` | `OPCODE_ALIVE_REPLY`
`static byte` | `OPCODE_AND_VARIABLE`
`static byte` | `OPCODE_AND_VARIABLE_REPLY`
`static byte` | `OPCODE_BRANCH_ALWAYS_FAR`
`static byte` | `OPCODE_BRANCH_ALWAYS_NEAR`
`static byte` | `OPCODE_CALL_SUBROUTINE`
`static byte` | `OPCODE_CLEAR_MESSAGE`
`static byte` | `OPCODE_CLEAR_SENSOR_VALUE`
`static byte` | `OPCODE_CLEAR_SENSOR_VALUE_REPLY`
`static byte` | `OPCODE_CLEAR_TIMER`
`static byte` | `OPCODE_CLEAR_TIMER_REPLY`
`static byte` | `OPCODE_DATALOG_NEXT`
`static byte` | `OPCODE_DATALOG_NEXT_REPLY`
`static byte` | `OPCODE_DECREMENT_LOOP_COUNTER_FAR`
`static byte` | `OPCODE_DECREMENT_LOOP_COUNTER_NEAR`
`static byte` | `OPCODE_DELETE_ALL_SUBROUTINES`
`static byte` | `OPCODE_DELETE_ALL_SUBROUTINES_REPLY`
`static byte` | `OPCODE_DELETE_ALL_TASKS`
`static byte` | `OPCODE_DELETE_ALL_TASKS_REPLY`
`static byte` | `OPCODE_DELETE_FIRMWARE`
`static byte` | `OPCODE_DELETE_FIRMWARE_REPLY`
`static byte` | `OPCODE_DELETE_SUBROUTINE`
`static byte` | `OPCODE_DELETE_SUBROUTINE_REPLY`
`static byte` | `OPCODE_DELETE_TASK`
`static byte` | `OPCODE_DELETE_TASK_REPLY`
`static byte` | `OPCODE_DIVIDE_VARIABLE`
`static byte` | `OPCODE_DIVIDE_VARIABLE_REPLY`
`static byte` | `OPCODE_GET_BATTERY_POWER`
`static byte` | `OPCODE_GET_BATTERY_POWER_REPLY`
`static byte` | `OPCODE_GET_MEMORY_MAP`
`static byte` | `OPCODE_GET_MEMORY_MAP_REPLY`
`static byte` | `OPCODE_GET_VALUE`
`static byte` | `OPCODE_GET_VALUE_REPLY`
`static byte` | `OPCODE_GET_VERSIONS`
`static byte` | `OPCODE_GET_VERSIONS_REPLY`
`static byte` | `OPCODE_MASK`
`static byte` | `OPCODE_MULTIPLY_VARIABLE`
`static byte` | `OPCODE_MULTIPLY_VARIABLE_REPLY`
`static byte` | `OPCODE_OR_VARIABLE`
`static byte` | `OPCODE_OR_VARIABLE_REPLY`
`static byte` | `OPCODE_PLAY_SOUND_REPLY`
`static byte` | `OPCODE_PLAY_TONE`
`static byte` | `OPCODE_PLAY_TONE_REPLY`
`static byte` | `OPCODE_POWER_OFF`
`static byte` | `OPCODE_POWER_OFF_REPLY`
`static byte` | `OPCODE_REMOTE_COMMAND`
`static byte` | `OPCODE_SEND_MESSAGE`
`static byte` | `OPCODE_SET_DATALOG_SIZE`
`static byte` | `OPCODE_SET_DATALOG_SIZE_REPLY`
`static byte` | `OPCODE_SET_DISPLAY`
`static byte` | `OPCODE_SET_DISPLAY_REPLY`
`static byte` | `OPCODE_SET_LOOP_COUNTER`
`static byte` | `OPCODE_SET_MESSAGE`
`static byte` | `OPCODE_SET_MOTOR_DIRECTION`
`static byte` | `OPCODE_SET_MOTOR_DIRECTION_REPLY`
`static byte` | `OPCODE_SET_MOTOR_ON_OFF`
`static byte` | `OPCODE_SET_MOTOR_ON_OFF_REPLY`
`static byte` | `OPCODE_SET_MOTOR_POWER`
`static byte` | `OPCODE_SET_MOTOR_POWER_REPLY`
`static byte` | `OPCODE_SET_POWER_DOWN_DELAY`
`static byte` | `OPCODE_SET_POWER_DOWN_DELAY_REPLY`
`static byte` | `OPCODE_SET_PROGRAM_NUMBER`
`static byte` | `OPCODE_SET_PROGRAM_NUMBER_REPLY`
`static byte` | `OPCODE_SET_SENSOR_MODE`
`static byte` | `OPCODE_SET_SENSOR_MODE_REPLY`
`static byte` | `OPCODE_SET_SENSOR_TYPE`
`static byte` | `OPCODE_SET_SENSOR_TYPE_REPLY`
`static byte` | `OPCODE_SET_TIME`
`static byte` | `OPCODE_SET_TIME_REPLY`
`static byte` | `OPCODE_SET_TRANSMITTER_RANGE`
`static byte` | `OPCODE_SET_TRANSMITTER_RANGE_REPLY`
`static byte` | `OPCODE_SET_VARIABLE`
`static byte` | `OPCODE_SET_VARIABLE_REPLY`
`static byte` | `OPCODE_SIGN_VARIABLE`
`static byte` | `OPCODE_SIGN_VARIABLE_REPLY`
`static byte` | `OPCODE_START_FIRMWARE_DOWNLOAD`
`static byte` | `OPCODE_START_FIRMWARE_DOWNLOAD_REPLY`
`static byte` | `OPCODE_START_SUBROUTINE_DOWNLOAD`
`static byte` | `OPCODE_START_SUBROUTINE_DOWNLOAD_REPLY`
`static byte` | `OPCODE_START_TASK`
`static byte` | `OPCODE_START_TASK_DOWNLOAD`
`static byte` | `OPCODE_START_TASK_DOWNLOAD_REPLY`
`static byte` | `OPCODE_START_TASK_REPLY`
`static byte` | `OPCODE_STOP_ALL_TASKS`
`static byte` | `OPCODE_STOP_ALL_TASKS_REPLY`
`static byte` | `OPCODE_STOP_TASK`
`static byte` | `OPCODE_STOP_TASK_REPLY`
`static byte` | `OPCODE_SUBTRACT_FROM_VARIABLE`
`static byte` | `OPCODE_SUBTRACT_FROM_VARIABLE_REPLY`
`static byte` | `OPCODE_TEST_AND_BRANCH_FAR`
`static byte` | `OPCODE_TEST_AND_BRANCH_NEAR`
`static byte` | `OPCODE_TRANSFER_DATA`
`static byte` | `OPCODE_TRANSFER_DATA_REPLY`
`static byte` | `OPCODE_UNLOCK_FIRMWARE`
`static byte` | `OPCODE_UNLOCK_FIRMWARE_REPLY`
`static byte` | `OPCODE_UPLOAD_DATALOG`
`static byte` | `OPCODE_UPLOAD_DATALOG_REPLY`
`static byte` | `OPCODE_WAIT`

Field Detail

### OPCODE_MASK

    static final byte OPCODE_MASK

See Also:
  Constant Field Values

### OPCODE_ALIVE

    static final byte OPCODE_ALIVE

See Also:
  Constant Field Values

### OPCODE_GET_VALUE

    static final byte OPCODE_GET_VALUE

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_POWER

    static final byte OPCODE_SET_MOTOR_POWER

See Also:
  Constant Field Values

### OPCODE_SET_VARIABLE

    static final byte OPCODE_SET_VARIABLE

See Also:
  Constant Field Values

### OPCODE_GET_VERSIONS

    static final byte OPCODE_GET_VERSIONS

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_DIRECTION_REPLY

    static final byte OPCODE_SET_MOTOR_DIRECTION_REPLY

See Also:
  Constant Field Values

### OPCODE_CALL_SUBROUTINE

    static final byte OPCODE_CALL_SUBROUTINE

See Also:
  Constant Field Values

### OPCODE_GET_MEMORY_MAP

    static final byte OPCODE_GET_MEMORY_MAP

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_ON_OFF

    static final byte OPCODE_SET_MOTOR_ON_OFF

See Also:
  Constant Field Values

### OPCODE_SET_TIME

    static final byte OPCODE_SET_TIME

See Also:
  Constant Field Values

### OPCODE_PLAY_TONE

    static final byte OPCODE_PLAY_TONE

See Also:
  Constant Field Values

### OPCODE_ADD_TO_VARIABLE

    static final byte OPCODE_ADD_TO_VARIABLE

See Also:
  Constant Field Values

### OPCODE_START_TASK_DOWNLOAD

    static final byte OPCODE_START_TASK_DOWNLOAD

See Also:
  Constant Field Values

### OPCODE_CLEAR_SENSOR_VALUE_REPLY

    static final byte OPCODE_CLEAR_SENSOR_VALUE_REPLY

See Also:
  Constant Field Values

### OPCODE_BRANCH_ALWAYS_NEAR

    static final byte OPCODE_BRANCH_ALWAYS_NEAR

See Also:
  Constant Field Values

### OPCODE_GET_BATTERY_POWER

    static final byte OPCODE_GET_BATTERY_POWER

See Also:
  Constant Field Values

### OPCODE_SET_TRANSMITTER_RANGE

    static final byte OPCODE_SET_TRANSMITTER_RANGE

See Also:
  Constant Field Values

### OPCODE_SET_SENSOR_TYPE

    static final byte OPCODE_SET_SENSOR_TYPE

See Also:
  Constant Field Values

### OPCODE_SET_DISPLAY

    static final byte OPCODE_SET_DISPLAY

See Also:
  Constant Field Values

### OPCODE_SUBTRACT_FROM_VARIABLE

    static final byte OPCODE_SUBTRACT_FROM_VARIABLE

See Also:
  Constant Field Values

### OPCODE_START_SUBROUTINE_DOWNLOAD

    static final byte OPCODE_START_SUBROUTINE_DOWNLOAD

See Also:
  Constant Field Values

### OPCODE_DELETE_SUBROUTINE_REPLY

    static final byte OPCODE_DELETE_SUBROUTINE_REPLY

See Also:
  Constant Field Values

### OPCODE_DECREMENT_LOOP_COUNTER_NEAR

    static final byte OPCODE_DECREMENT_LOOP_COUNTER_NEAR

See Also:
  Constant Field Values

### OPCODE_DELETE_ALL_TASKS

    static final byte OPCODE_DELETE_ALL_TASKS

See Also:
  Constant Field Values

### OPCODE_SET_SENSOR_MODE

    static final byte OPCODE_SET_SENSOR_MODE

See Also:
  Constant Field Values

### OPCODE_WAIT

    static final byte OPCODE_WAIT

See Also:
  Constant Field Values

### OPCODE_DIVIDE_VARIABLE

    static final byte OPCODE_DIVIDE_VARIABLE

See Also:
  Constant Field Values

### OPCODE_TRANSFER_DATA

    static final byte OPCODE_TRANSFER_DATA

See Also:
  Constant Field Values

### OPCODE_SET_POWER_DOWN_DELAY_REPLY

    static final byte OPCODE_SET_POWER_DOWN_DELAY_REPLY

See Also:
  Constant Field Values

### OPCODE_STOP_ALL_TASKS

    static final byte OPCODE_STOP_ALL_TASKS

See Also:
  Constant Field Values

### OPCODE_SET_DATALOG_SIZE

    static final byte OPCODE_SET_DATALOG_SIZE

See Also:
  Constant Field Values

### OPCODE_UNLOCK_FIRMWARE_REPLY

    static final byte OPCODE_UNLOCK_FIRMWARE_REPLY

See Also:
  Constant Field Values

### OPCODE_UPLOAD_DATALOG_REPLY

    static final byte OPCODE_UPLOAD_DATALOG_REPLY

See Also:
  Constant Field Values

### OPCODE_MULTIPLY_VARIABLE

    static final byte OPCODE_MULTIPLY_VARIABLE

See Also:
  Constant Field Values

### OPCODE_CLEAR_TIMER_REPLY

    static final byte OPCODE_CLEAR_TIMER_REPLY

See Also:
  Constant Field Values

### OPCODE_POWER_OFF

    static final byte OPCODE_POWER_OFF

See Also:
  Constant Field Values

### OPCODE_DELETE_TASK

    static final byte OPCODE_DELETE_TASK

See Also:
  Constant Field Values

### OPCODE_DATALOG_NEXT

    static final byte OPCODE_DATALOG_NEXT

See Also:
  Constant Field Values

### OPCODE_OR_VARIABLE_REPLY

    static final byte OPCODE_OR_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_SIGN_VARIABLE

    static final byte OPCODE_SIGN_VARIABLE

See Also:
  Constant Field Values

### OPCODE_DELETE_FIRMWARE

    static final byte OPCODE_DELETE_FIRMWARE

See Also:
  Constant Field Values

### OPCODE_SET_PROGRAM_NUMBER_REPLY

    static final byte OPCODE_SET_PROGRAM_NUMBER_REPLY

See Also:
  Constant Field Values

### OPCODE_DELETE_ALL_SUBROUTINES

    static final byte OPCODE_DELETE_ALL_SUBROUTINES

See Also:
  Constant Field Values

### OPCODE_START_TASK

    static final byte OPCODE_START_TASK

See Also:
  Constant Field Values

### OPCODE_BRANCH_ALWAYS_FAR

    static final byte OPCODE_BRANCH_ALWAYS_FAR

See Also:
  Constant Field Values

### OPCODE_AND_VARIABLE_REPLY

    static final byte OPCODE_AND_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_ABSOLUTE_VALUE

    static final byte OPCODE_ABSOLUTE_VALUE

See Also:
  Constant Field Values

### OPCODE_START_FIRMWARE_DOWNLOAD

    static final byte OPCODE_START_FIRMWARE_DOWNLOAD

See Also:
  Constant Field Values

### OPCODE_STOP_TASK_REPLY

    static final byte OPCODE_STOP_TASK_REPLY

See Also:
  Constant Field Values

### OPCODE_STOP_TASK

    static final byte OPCODE_STOP_TASK

See Also:
  Constant Field Values

### OPCODE_START_FIRMWARE_DOWNLOAD_REPLY

    static final byte OPCODE_START_FIRMWARE_DOWNLOAD_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_LOOP_COUNTER

    static final byte OPCODE_SET_LOOP_COUNTER

See Also:
  Constant Field Values

### OPCODE_ABSOLUTE_VALUE_REPLY

    static final byte OPCODE_ABSOLUTE_VALUE_REPLY

See Also:
  Constant Field Values

### OPCODE_AND_VARIABLE

    static final byte OPCODE_AND_VARIABLE

See Also:
  Constant Field Values

### OPCODE_TEST_AND_BRANCH_NEAR

    static final byte OPCODE_TEST_AND_BRANCH_NEAR

See Also:
  Constant Field Values

### OPCODE_START_TASK_REPLY

    static final byte OPCODE_START_TASK_REPLY

See Also:
  Constant Field Values

### OPCODE_DELETE_ALL_SUBROUTINES_REPLY

    static final byte OPCODE_DELETE_ALL_SUBROUTINES_REPLY

See Also:
  Constant Field Values

### OPCODE_CLEAR_MESSAGE

    static final byte OPCODE_CLEAR_MESSAGE

See Also:
  Constant Field Values

### OPCODE_SET_PROGRAM_NUMBER

    static final byte OPCODE_SET_PROGRAM_NUMBER

See Also:
  Constant Field Values

### OPCODE_DELETE_FIRMWARE_REPLY

    static final byte OPCODE_DELETE_FIRMWARE_REPLY

See Also:
  Constant Field Values

### OPCODE_DECREMENT_LOOP_COUNTER_FAR

    static final byte OPCODE_DECREMENT_LOOP_COUNTER_FAR

See Also:
  Constant Field Values

### OPCODE_SIGN_VARIABLE_REPLY

    static final byte OPCODE_SIGN_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_OR_VARIABLE

    static final byte OPCODE_OR_VARIABLE

See Also:
  Constant Field Values

### OPCODE_DATALOG_NEXT_REPLY

    static final byte OPCODE_DATALOG_NEXT_REPLY

See Also:
  Constant Field Values

### OPCODE_TEST_AND_BRANCH_FAR

    static final byte OPCODE_TEST_AND_BRANCH_FAR

See Also:
  Constant Field Values

### OPCODE_DELETE_TASK_REPLY

    static final byte OPCODE_DELETE_TASK_REPLY

See Also:
  Constant Field Values

### OPCODE_POWER_OFF_REPLY

    static final byte OPCODE_POWER_OFF_REPLY

See Also:
  Constant Field Values

### OPCODE_CLEAR_TIMER

    static final byte OPCODE_CLEAR_TIMER

See Also:
  Constant Field Values

### OPCODE_MULTIPLY_VARIABLE_REPLY

    static final byte OPCODE_MULTIPLY_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_UPLOAD_DATALOG

    static final byte OPCODE_UPLOAD_DATALOG

See Also:
  Constant Field Values

### OPCODE_UNLOCK_FIRMWARE

    static final byte OPCODE_UNLOCK_FIRMWARE

See Also:
  Constant Field Values

### OPCODE_SET_DATALOG_SIZE_REPLY

    static final byte OPCODE_SET_DATALOG_SIZE_REPLY

See Also:
  Constant Field Values

### OPCODE_PLAY_SOUND_REPLY

    static final byte OPCODE_PLAY_SOUND_REPLY

See Also:
  Constant Field Values

### OPCODE_STOP_ALL_TASKS_REPLY

    static final byte OPCODE_STOP_ALL_TASKS_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_POWER_DOWN_DELAY

    static final byte OPCODE_SET_POWER_DOWN_DELAY

See Also:
  Constant Field Values

### OPCODE_TRANSFER_DATA_REPLY

    static final byte OPCODE_TRANSFER_DATA_REPLY

See Also:
  Constant Field Values

### OPCODE_SEND_MESSAGE

    static final byte OPCODE_SEND_MESSAGE

See Also:
  Constant Field Values

### OPCODE_DIVIDE_VARIABLE_REPLY

    static final byte OPCODE_DIVIDE_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_SENSOR_MODE_REPLY

    static final byte OPCODE_SET_SENSOR_MODE_REPLY

See Also:
  Constant Field Values

### OPCODE_DELETE_ALL_TASKS_REPLY

    static final byte OPCODE_DELETE_ALL_TASKS_REPLY

See Also:
  Constant Field Values

### OPCODE_DELETE_SUBROUTINE

    static final byte OPCODE_DELETE_SUBROUTINE

See Also:
  Constant Field Values

### OPCODE_START_SUBROUTINE_DOWNLOAD_REPLY

    static final byte OPCODE_START_SUBROUTINE_DOWNLOAD_REPLY

See Also:
  Constant Field Values

### OPCODE_SUBTRACT_FROM_VARIABLE_REPLY

    static final byte OPCODE_SUBTRACT_FROM_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_DISPLAY_REPLY

    static final byte OPCODE_SET_DISPLAY_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_SENSOR_TYPE_REPLY

    static final byte OPCODE_SET_SENSOR_TYPE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_TRANSMITTER_RANGE_REPLY

    static final byte OPCODE_SET_TRANSMITTER_RANGE_REPLY

See Also:
  Constant Field Values

### OPCODE_GET_BATTERY_POWER_REPLY

    static final byte OPCODE_GET_BATTERY_POWER_REPLY

See Also:
  Constant Field Values

### OPCODE_CLEAR_SENSOR_VALUE

    static final byte OPCODE_CLEAR_SENSOR_VALUE

See Also:
  Constant Field Values

### OPCODE_START_TASK_DOWNLOAD_REPLY

    static final byte OPCODE_START_TASK_DOWNLOAD_REPLY

See Also:
  Constant Field Values

### OPCODE_REMOTE_COMMAND

    static final byte OPCODE_REMOTE_COMMAND

See Also:
  Constant Field Values

### OPCODE_ADD_TO_VARIABLE_REPLY

    static final byte OPCODE_ADD_TO_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_PLAY_TONE_REPLY

    static final byte OPCODE_PLAY_TONE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_TIME_REPLY

    static final byte OPCODE_SET_TIME_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_ON_OFF_REPLY

    static final byte OPCODE_SET_MOTOR_ON_OFF_REPLY

See Also:
  Constant Field Values

### OPCODE_GET_MEMORY_MAP_REPLY

    static final byte OPCODE_GET_MEMORY_MAP_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_DIRECTION

    static final byte OPCODE_SET_MOTOR_DIRECTION

See Also:
  Constant Field Values

### OPCODE_GET_VERSIONS_REPLY

    static final byte OPCODE_GET_VERSIONS_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_VARIABLE_REPLY

    static final byte OPCODE_SET_VARIABLE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_MOTOR_POWER_REPLY

    static final byte OPCODE_SET_MOTOR_POWER_REPLY

See Also:
  Constant Field Values

### OPCODE_GET_VALUE_REPLY

    static final byte OPCODE_GET_VALUE_REPLY

See Also:
  Constant Field Values

### OPCODE_ALIVE_REPLY

    static final byte OPCODE_ALIVE_REPLY

See Also:
  Constant Field Values

### OPCODE_SET_MESSAGE

    static final byte OPCODE_SET_MESSAGE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD